Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.msg
Class ACK

    java.lang.Object
      com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
          com.stc.connector.hl7.framework.structure.msg.GenericMessageImpl
              com.stc.connector.hl7.framework.structure.msg.ACK

All Implemented Interfaces:
  Component, Message

    public class ACK

extends GenericMessageImpl
implements Message

Represents a ACK message structure. This structure contains the following elements:

0: MSH (Message Header)
1: SFT (Software segment) (optional. Available since version 2.5)
2: MSA (Message Acknowledgment)
3: ERR (Error) (optional)

Version:
  cvs revision: $Revision: 1.8 $ Last Modified: $Date: 2005/09/03 06:28:37 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from interface com.stc.connector.hl7.framework.structure.msg.Message
`DEFAULT_SEGMENT_TERMINATOR_CHAR, DEFAULT_SEGMENT_TERMINATOR_STRING`

Constructor Summary
`ACK()` Constructor for ACK.
`ACK(Segment[] segments)` Constructor for ACK.
`ACK(java.lang.String content)` Constructor for ACK.

Method Summary
`ERR` | `getERR()` Method getERR.
`MSA` | `getMSA()` Method getMSA.
`SFT` | `getSFT()` Method getSFT.
`void` | `marshal()` Method marshal.
`protected void` | `setERR()` Method setERR.
`protected void` | `setMSA()` Method setMSA.
`protected void` | `setSFT()` Method setSFT.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Methods inherited from class com.stc.connector.hl7.framework.structure.msg.GenericMessageImpl
`getComponentSeparator, getEncodingCharacters, getEscapeCharacter, getFieldSeparator, getMSH, getRepetitionSeparator, getSegments, getSubcomponentSeparator, getVersionNumber, isParseAllSegments, setParseAllSegments, setSegments, toXMLString`

Methods inherited from class com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
`getContent, getMessage, getName, getStatus, setContent, setMessage, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.structure.msg.Message
`getComponentSeparator, getEscapeCharacter, getFieldSeparator, getMSH, getRepetitionSeparator, getSegments, getSubcomponentSeparator, getVersionNumber`

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, setContent, setName, toXMLString`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### ACK

    public ACK()
        throws HL7ApplicationException

  Constructor for ACK.

  Throws:
    `HL7ApplicationException`

### ACK

    public ACK(java.lang.String content)
        throws HL7ApplicationException

  Constructor for ACK.

  Parameters:
    `content` -
  Throws:
    `HL7ApplicationException`

### ACK

    public ACK(Segment[] segments)
        throws HL7ApplicationException

  Constructor for ACK.

  Parameters:
    `segments` -
  Throws:
    `HL7ApplicationException`

Method Detail

### marshal

    public void marshal()
                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Specified by:
    `marshal` in interface `Component`
  Overrides:
    `marshal` in class `GenericMessageImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.marshal()`

### unmarshal

    public void unmarshal()
                   throws HL7ApplicationException

  Description copied from interface: `Component`
  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Specified by:
    `unmarshal` in interface `Component`
  Overrides:
    `unmarshal` in class `GenericMessageImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.unmarshal()`

### getSFT

    public SFT getSFT()

  Method getSFT.

  Returns:
    SFT

### getMSA

    public MSA getMSA()

  Method getMSA.

  Returns:
    MSA

### getERR

    public ERR getERR()

  Method getERR.

  Returns:
    ERR

### setSFT

    protected void setSFT()
                   throws HL7ApplicationException

  Method setSFT.

  Throws:
    `HL7ApplicationException`

### setMSA

    protected void setMSA()
                   throws HL7ApplicationException

  Method setMSA.

  Throws:
    `HL7ApplicationException`

### setERR

    protected void setERR()
                   throws HL7ApplicationException

  Method setERR.

  Throws:
    `HL7ApplicationException`

### validate

    public void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Description copied from interface: `Component`
  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Specified by:
    `validate` in interface `Component`
  Overrides:
    `validate` in class `GenericMessageImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.validate(ComponentSpec)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD